<ion-header>

  <ion-navbar>
    <ion-title>Vulnerabilidade</ion-title>
    <ion-buttons end>
      <div class="icone-imagem">
        <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
      </div>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>

      <div class="titulo-testes">Resultados</div>

      <ion-item>
          <div class="regiao_grafico">
              <div class="numeros">6<br>5<br>4<br>3<br>2<br>1<br>0
              </div>
              <div class="fundo_grafico">
              </div>
              <div class="linhas">
              </div>
              <div *ngFor="let ves13 of ves13s; let n=index">
                <div *ngIf="ves13.pontuacaototal<=6">
            <div class="calculo" [ngStyle]="{'margin-top': (250-((ves13.pontuacaototal)*44.8)) + 'px', 'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editVes13(ves13.id_ves13)">
                  <span class='texto-grafico'><span *ngIf="ves13.pontuacaototal<10">0</span>{{ves13.pontuacaototal}}</span>
                  </div>
                  </div>
                  <div *ngIf="ves13.pontuacaototal>6">
                      <div class="calculo" [ngStyle]="{'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editVes13(ves13.id_ves13)" >
                          <span class='texto-grafico'><span *ngIf="ves13.pontuacaototal<10">0</span>{{ves13.pontuacaototal}}</span>
                          </div>
                          </div>
                 <div class="vertical-text"  [ngStyle]="{'margin-left': (4+(n*46)) + 'px'}" *ngIf="n<6">
                    {{ves13.data_exame | date:"dd/MM/yyyy"}}
                 </div>
              </div>
              </div>
       </ion-item>
       <ion-item>
        <span class="legenda-principal">Legenda:</span><br><br>
        <span class="legenda-interna"><img src="../assets/imgs/circulo_verde.png" class="circ">Acompanhamento de Rotina</span><br>
         <span class="legenda-interna"><img src="../assets/imgs/circulo_vermelho.png" class="circ">Atenção / Ação</span><br>
      </ion-item>


      <ion-list *ngFor="let ves132 of ves13s2; let i=index">
          <div class="titulo-testes" *ngIf="i == 6">Resultados anteriores:</div>
        <ion-item-sliding *ngIf="i > 5">
          <ion-item style="margin:0; padding:0; border-bottom: 1px solid; border-color:#B9B9B9">
    
          <div class="quebra" (click)="editVes13(ves132.id_ves13)">
            <span *ngIf="(ves132.pontuacaototal<3)">
              <div class="circulo_testes"><img src="assets/imgs/circulo_verde.png"></div><div class="texto-data"> {{ves132.data_exame | date:"dd/MM/yyyy"}}</div><div class="circulo-texto">Acompanhamento<br>de Rotina</div></span>
              <span *ngIf="(ves132.pontuacaototal>=3)">
                <div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div><div class="texto-data">{{ves132.data_exame | date:"dd/MM/yyyy"}}</div><div class="circulo-texto2">Atenção / Ação</div></span>
<br>
          </div>

          </ion-item>

      
            </ion-item-sliding>
          </ion-list>

</ion-content>
